weka.classifiers.pmml.consumer

## Class SupportVectorMachineModel

- java.lang.Object
- - weka.classifiers.AbstractClassifier
  - - weka.classifiers.pmml.consumer.PMMLClassifier
    - - weka.classifiers.pmml.consumer.SupportVectorMachineModel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Classifier, BatchPredictor, CapabilitiesHandler, CapabilitiesIgnorer, CommandlineRunnable, OptionHandler, PMMLModel, RevisionHandler

      public class SupportVectorMachineModel
      extends PMMLClassifier
      implements java.io.Serializable

  Implements a PMML SupportVectorMachineModel
  Version:
    $Revision: 8034 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class weka.classifiers.AbstractClassifier

      `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupportVectorMachineModel(org.w3c.dom.Element model, Instances dataDictionary, MiningSchema miningSchema)` Construct a new SupportVectorMachineModel encapsulating the information provided in the PMML document.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `distributionForInstance(Instance inst)` Classifies the given test instance.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `toString()` Get a textual description of this SupportVectorMachineModel

    - ### Methods inherited from class weka.classifiers.pmml.consumer.PMMLClassifier

      `buildClassifier, done, getCreatorApplication, getDataDictionary, getFieldsMappingString, getLog, getMiningSchema, getPMMLVersion, mapToMiningSchema, setCreatorApplication, setLog, setPMMLVersion`

    - ### Methods inherited from class weka.classifiers.AbstractClassifier

      `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getCapabilities, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getOptions, implementsMoreEfficientBatchPrediction, listOptions, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces, setOptions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SupportVectorMachineModel

          public SupportVectorMachineModel(org.w3c.dom.Element model,
                                           Instances dataDictionary,
                                           MiningSchema miningSchema)
                                    throws java.lang.Exception

      Construct a new SupportVectorMachineModel encapsulating the information provided in the PMML document.
      Parameters:
        `model` - the SVM element from the PMML document
        `dataDictionary` - the data dictionary
        `miningSchema` - the mining schema
      Throws:
        `java.lang.Exception` - if the model can't be constructed from the PMML

  - ### Method Detail

    - #### distributionForInstance

          public double[] distributionForInstance(Instance inst)
                                           throws java.lang.Exception

      Classifies the given test instance. The instance has to belong to a dataset when it's being classified.
      Specified by:
        `distributionForInstance` in interface `Classifier`
      Overrides:
        `distributionForInstance` in class `AbstractClassifier`
      Parameters:
        `inst` - the instance to be classified
      Returns:
        the predicted most likely class for the instance or Utils.missingValue() if no prediction is made
      Throws:
        `java.lang.Exception` - if an error occurred during the prediction

    - #### getRevision

          public java.lang.String getRevision()

      Description copied from class: `AbstractClassifier`
      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Overrides:
        `getRevision` in class `AbstractClassifier`
      Returns:
        the revision

    - #### toString

          public java.lang.String toString()

      Get a textual description of this SupportVectorMachineModel
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a description of this SupportVectorMachineModel as a string